@import url('https://fonts.googleapis.com/css2?family=Righteous&family=Work+Sans:wght@100;300;400;600;800&display=swap');
*{
    box-sizing: border-box;
    font-family: 'Work Sans';
    margin: 0;
    padding: 0;
}
html{
    /* me permite deslizar cuando hago clic en los links del menu */
    scroll-behavior: smooth;
}


/* MENU */
.contenedor-header{
    background: #1e2326;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 99;
}
.contenedor-header header{
    max-width: 1100px;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
}
.contenedor-header header .logo a{
    font-family: 'Righteous';
    font-size: 36px;
    color: #1CB698;
    text-decoration: none;
}
.contenedor-header header ul{
    display: flex;
    list-style: none;
}
.contenedor-header header nav ul li a{
    text-align: none;
    color: #fff;
    margin: 0 15px;
    padding: 3px;
    transition: .5s;
    text-decoration: none;
}
.contenedor-header header nav ul li a:hover{
    color: #1CB698;
}
.nav-responsive{
    background-color: #1CB698;
    color:#fff;
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
    display: none;
}
/* SECCION I N I C I O */
.inicio{
    background: linear-gradient(to top, rgba(30,35,38,.8), rgba(30,35,38,1)),
    url(img/fondo.jpg);
    background-size: cover;
    height: 100vh;
    color: #fff;
    display: flex;
    align-items: center;
}
.inicio .contenido-banner{
    padding: 20px;
    background-color: #1e2326;
    max-width: 350px;
    margin: auto;
    text-align: center;
    border-radius: 40px;
}
.inicio .contenido-banner img{
    margin-top: 40px;
    border: 10px solid #1CB698;
    display: block;
    width: 80%;
    margin: auto;
    border-radius: 100%;
}
.inicio .contenido-banner h1{
    margin-top: 40px;
    font-size: 42px;
    font-family: 'Righteous';
}
.inicio .contenido-banner h2{
    font-size: 15px;
    font-weight: normal;
}
.inicio .contenido-banner .redes a{
    color: #fff;
    display: inline-block;
    text-decoration: none;
    border: 1px solid #fff;
    border-radius: 100%;
    width: 42px;
    height: 42px;
    line-height: 42px;
    margin: 40px 5px;
    font-size: 20px;
    transition: .3s;
}
.inicio .contenido-banner .redes a:hover{
    background-color: #1CB698;
}
.sobremi{
    background-color: #1e2326;
    color: #fff;
    padding: 50px 20px;
}
.sobremi .contenido-seccion{
    max-width: 1100px;
    margin: auto;
}
.sobremi h2{
    font-size: 48px;
    font-family: 'Righteous';
    text-align: center;
    padding: 20px 0;

}
.sobremi .contenido-seccion p{
    font: 18px;
    line-height: 22px;
    margin-bottom: 20px;
}
.sobremi .contenido-seccion p span{
    color: #1CB698;
    font-weight: bold;
}
.sobremi .fila{
    display: flex;
}
.sobremi .fila .col
{
    width: 50%;
}
.sobremi .fila .col h3{
    font-size: 28px;
    font-family: 'Righteous';
    margin-bottom: 25px;
}
.sobremi .fila .col ul{
    list-style: none;
}
.sobremi .fila .col ul li{
    margin: 12px 0;
}
.sobremi .fila .col ul li strong{
    display: inline-block;
    color: #1CB698;
    width: 130px;
}
.sobremi .fila .col ul li span{
    background-color: #1CB698;
    padding: 3px;
    font-weight: bold;
    border-radius: 5px;
}
.sobremi .fila .col .contenedor-intereses{
    display: flex;
    flex-wrap: wrap;
}
.sobremi .fila .col .contenedor-intereses .interes{
    width: 100px;
    height: 100px;
    background-color: #252A2E;
    border-radius: 10px;
    margin: 0 15px 15px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: .3s;
}.sobremi .fila .col .contenedor-intereses .interes:hover{
    background-color: #1CB698;
}
.sobremi .fila .col .contenedor-intereses .interes i{
    font-size: 30px;
    margin-bottom: 10px;
}
.sobremi button{
    cursor: pointer;
    background-color: transparent;
    border: 2px solid #fff;
    width: fit-content;
    display: block;
    margin: 20px auto;
    padding: 10px 22px;
    font-size: 16px;
    color: #fff;
    position: relative;
    z-index: 10;
}
.sobremi button .overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: #1CB698;
    z-index: -1;
    transition: 1s;
}
.sobremi button:hover .overlay{
    width: 100%;
}

/* SECCION S K I L L S */
.skills{
    background-color: #252A2E;
    color: #fff;
    padding: 50px 20px;
}
.skills .contenido-seccion{
    max-width: 1100px;
    margin: auto;
}
.skills h2{
    font-size: 48px;
    font-family: 'Righteous';
    text-align: center;
    padding: 20px 0;

}
.skills .fila{
    display: flex;
}
.skills .fila .col{
    width: 50%;
    padding: 0 20px;
}
.skills .fila .col h3{
    font-size: 28px;
    font-family: 'Righteous';
    margin-bottom: 25px;
}
.skills .skill > span{
    font-weight: bold;
    display: block;
    margin-bottom: 10px;
}
.skills .skill .barra-skill{
    height: 8px;
    width: 80%;
    background-color: #131517;
    position: relative;
    margin-bottom: 30px;
}
.skills .skill .progreso{
    background-color: #1CB698;
    position: absolute;
    top: 0;
    left: 0;
    height: 8px;
}
.skills .skill .barra-skill span{
    position: absolute;
    height: 40px;
    width: 40px;
    background-color: #1CB698;
    border-radius: 90px;
    line-height: 40px;
    text-align: center;
    top: -17px;
    right: -15px;
    font-size: 14px;
}

/* Estas clases se agregaran dinamicamente mediante javascript */
.skills .skill .git{
    width: 0%;
    animation: 2s git forwards;
}
@keyframes git {
    0%{width: 0%;}
    100%{width: 80%;}
}

.skills .skill .orchestation{
    width: 0%;
    animation: 2s orchestation forwards;
}
@keyframes orchestation {
    0%{width: 0%;}
    100%{width: 70%;}
}

.skills .skill .etl{
    width: 0%;
    animation: 2s etl forwards;
}
@keyframes etl {
    0%{width: 0%;}
    100%{width: 95%;}
}

.skills .skill .gcp{
    width: 0%;
    animation: 2s gcp forwards;
}
@keyframes gcp {
    0%{width: 0%;}
    100%{width: 75%;}
}

.skills .skill .python{
    width: 0%;
    animation: 2s python forwards;
}
@keyframes python {
    0%{width: 0%;}
    100%{width: 75%;}
}

.skills .skill .comunicacion{
    width: 0%;
    animation: 2s comunicacion forwards;
}
@keyframes comunicacion {
    0%{width: 0%;}
    100%{width: 80%;}
}

.skills .skill .trabajo{
    width: 0%;
    animation: 2s trabajo forwards;
}
@keyframes trabajo {
    0%{width: 0%;}
    100%{width: 70%;}
}

.skills .skill .creatividad{
    width: 0%;
    animation: 2s creatividad forwards;
}
@keyframes creatividad {
    0%{width: 0%;}
    100%{width: 99%;}
}

.skills .skill .dedicacion{
    width: 0%;
    animation: 2s dedicacion forwards;
}
@keyframes dedicacion {
    0%{width: 0%;}
    100%{width: 65%;}
}

.skills .skill .proyect{
    width: 0%;
    animation: 2s proyect forwards;
}
@keyframes proyect {
    0%{width: 0%;}
    100%{width: 94%;}
}

/* SECCION CURRICULUM */
.curriculum{
    background-color: #1e2326;
    color: #fff;
    padding: 50px 20px;
}
.curriculum .contenido-seccion{
    max-width: 1100px;
    margin: auto;
}
.curriculum h2{
    font-size: 48px;
    font-family: 'Righteous';
    text-align: center;
    padding: 20px 0;

}
.curriculum .fila{
    display: flex;
    justify-content: space-between;
}
.curriculum .fila .col{
    width: 49%;
    padding: 0 20px;
}
.curriculum .fila .col h3{
    font-size: 28px;
    font-family: 'Righteous';
    margin-bottom: 25px;
}
.curriculum .fila .izquierda{
    border-right: 2px solid #252A2E;
}
.curriculum .fila .derecha{
    border-left: 2px solid #252A2E;
}
.curriculum .fila .item{
    padding: 25px;
    margin-bottom: 30px;
    background-color: #252A2E;
    position: relative;
}
.curriculum .fila .item h4{
    font-size: 20px;
    margin-bottom: 10px;
}
.curriculum .fila .item .casa{
    color: #1CB698;
    font-size: 22px;
    font-weight: bold;
    display: block;
}
.curriculum .fila .item .fecha{
    display: block;
    color: #1CB698;
    margin-bottom: 10px;
}
.curriculum .fila .item p{
    line-height: 24px;
}
.curriculum .fila .izq{
    border-right: 2px solid #1CB698;
    margin-right: 20px;
}
.curriculum .fila .der{
    border-left: 2px solid #1CB698;
    margin-left: 20px;
}
.curriculum .fila .item .conectori{
    height: 2px;
    background-color: #1CB698;
    width: 47px;
    position: absolute;
    top: 50%;
    right: -47px;
    z-index: 5;
}
.curriculum .fila .item .conectori .circuloi{
    display: block;
    height: 10px;
    width: 10px;
    border-radius: 50%;
    background-color: #1CB698;
    float: right;
    position: relative;
    bottom: 4px;
}
.curriculum .fila .item .conectord{
    height: 2px;
    background-color: #1CB698;
    width: 47px;
    position: absolute;
    top: 50%;
    left: -47px;
    z-index: 5;
}
.curriculum .fila .item .conectord .circulod{
    display: block;
    height: 10px;
    width: 10px;
    border-radius: 50%;
    background-color: #1CB698;
    float: left;
    position: relative;
    bottom: 4px;
}

/* SECCION CONTACTO */

footer{
    background-color: #252A2E;
    color: #fff;
    padding: 50px 0 30px 0;
    text-align: center;
    position: relative;
    width: 100%;
}
footer .redes{
    margin-bottom: 20px;
}
footer .redes a{
    color: #fff;
    display: inline-block;
    text-decoration: none;
    border: 1px solid #fff;
    border-radius: 100%;
    width: 42px;
    height: 42px;
    line-height: 42px;
    margin: 40px 5px;
    font-size: 20px;
    transition: .3s;
}
footer .arriba{
    display: block;
    width: 50px;
    height: 50px;
    background-color: #1CB698;
    color: #fff;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: -25px;
    border-radius: 50%;
    line-height: 50px;
    font-size: 18px;
}

/* SECCION RESPONSIVE */
@media screen and (max-width:980px){
    nav{
        display: none;
    }
    .nav-responsive{
        display: block;
    }
    nav.responsive{
        display: block;
        position: absolute;
        right: 0;
        top: 75px;
        background-color: #252A2E;
        width: 180px;
    }
    nav.responsive ul{
        display: block !important;
    }
    nav.responsive ul li{
        border-bottom: 1px solid #fff;
        padding: 10px 0;
    }
}
@media screen and (max-width:700px){
    .sobremi .fila{
        display: block;
    }
    .sobremi .fila .col{
        width: fit-content;
    }

    .skills .fila{
        display: block;
    }
    .skills .fila .col{
        width: 100%;
    }
    .skills .fila .col .barra-skill{
        width: 100%;
    }

    .curriculum .fila{
        display: block;
    }
    .curriculum .fila .col{
        width: 90%;
    }
    .curriculum .fila .derecha{
        margin-left: 20px;
    }

    .portfolio .galeria{
        display: block;
        width: 100%;
    }
    .portfolio .galeria .proyecto{
        max-width: 100%;
    }
    .portfolio .galeria .proyecto img{
        width: 100%;
    }
    .contacto .fila{
        display: block;
    }
    .contacto .fila .col{
        width: 100%;
    }
}
